System.Web 2.0.0.0 System.Web.UI.WebControls.BoundField System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)

The class is used to represent an automatically generated field in a data-bound control, such as or . Automatically generated fields are created by a data-bound control when the appropriate property is set to true (for example, the property for the control, the property for the control, and so on).

Automatically generated fields are not added to the field collection of a data-bound control (for example, the collection for the control, the collection for the control, and so on).

The class is intended for use internally by data-bound controls. Unlike other data fields (such as , , , and so on), the class cannot be placed declaratively on a page as part of a field collection. Although you can programmatically add an object to a field collection, this design pattern should be avoided.

Because automatically generated fields represent the automatic rendering of a field, data-bound controls do not typically allow users to modify the properties of the objects. If the automatic rendering is not suitable for your needs, define your own data fields for the field collection of the control.

Represents an automatically generated field in a data-bound control. This class cannot be inherited.

- Constructor

  Use this constructor to initialize a new instance of the class. This constructor is generally used by data-bound controls (such as and ) when creating automatically generated fields.

  Initializes a new instance of the class with the specified data field.

  The name of the data field to bind to the .
  2.0.0.0
- Property
  System.Boolean To be added.

  Sometimes a field's value is an empty string ("") in the data source. The property is used to indicate whether empty string values are converted to null before being displayed in an .

  This version of the property has been implemented to always return true. It is not possible to set this property.

  Gets or sets a value indicating whether empty string ("") values are converted to null when the field values are retrieved from the data source.

  2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Web.UI.WebControls.DataControlField To be added. To be added. To be added. 2.0.0.0
- Property
  System.String To be added.

  The property is used to apply a special format to the values displayed in an object.

  This version of the property has been implemented to always return an empty string to indicate that no special formatting is applied to the field values. It is not possible to set this property.

  Gets or sets the string that specifies the format in which the alternate text for each image in an object is rendered.

  2.0.0.0
- Property
  System.Type To be added.

  Use the property to specify the data type of the values displayed in an object. The data type determines what type of control is rendered in an object to display the value. For example, a check box control is displayed when the type is .

  Gets or sets the data type of the values displayed in an object.

  2.0.0.0
- Method
  System.Void `` `` `` ``

  The method is a helper method used to retrieve the values of the fields from the specified object in an object.

  This method is primarily used by control developers.

  This method does not have a return value. Instead, the field values are returned by reference through the object passed in for the parameter. After the method has been called, iterate through the object to access the field values.

  To include the read-only field values in the object, pass in true for the parameter.

  Fills the specified object with the values from the specified object.

  An used to store the values of the specified cell. The that contains the values to retrieve. One of the values. The value true includes only the values of read-only fields; otherwise, false. 2.0.0.0
- Method
  System.Object To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Boolean To be added.

  In data-bound controls that support inserting records (such as the control), the property is used to specify whether the object is displayed when the data-bound control is in insert mode.

  This version of the property has been implemented to always return true. It is not possible to set this property.

  Gets or sets a value indicating whether the object is visible in insert mode.

  2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void

  The method is the helper method used to determine whether the controls contained in an object support callbacks. This method has been implemented as an empty method (a method that does not contain any code) to indicate that callbacks are supported.

  This method is primarily used by control developers.

  Classes that derive from the class can override this method to indicate whether the controls contained by the field support callbacks. To indicate that callbacks are supported, implement this method as an empty method that does not throw an exception; otherwise, throw an exception with a useful message describing why callbacks are not supported.

  Determines whether the controls contained in an object support callbacks.

  2.0.0.0